| Earth Observation Mission CFI Software DataHandling Software User Manual for JAVA |

Public Member Functions | Public Attributes

# EECFI.DorisFile Class Reference

Class for reading/writing DORIS navigator files. More...

Inheritance diagram for EECFI.DorisFile:

List of all members.

## Public Member Functions
| DorisFile ()
| Constructor.
| DorisFile (String fileNam)
| Constructor with file name.
native void | readHeader () throws CfiError
| Read DORIS header.
native void | read (final boolean interpolFlag) throws CfiError
| Read the whole file (DORIS header is not read).
native void | read (final boolean interpolFlag, final double time0, final double time1) throws CfiError
| Read the file between 2 given times (DORIS header is not read).
native void | write (String fileNam, DorisHeader fhr, Vector< OsvRec > osvRecEF, Vector< OsvRec > osvRecJ, double leapTim, int leapSig, long absOrbi, long relOrbi) throws CfiError
| Write DORIS file with a given name.
native void | write (DorisHeader fhr, Vector< OsvRec > osvRecEF, Vector< OsvRec > osvRecJ, double leapTim, int leapSig, long absOrbi, long relOrbi) throws CfiError
| Write DORIS file with the name in the object.
## Public Attributes
DorisHeader | header
| DORIS header.
Vector< OsvRec > | osvRec
| Vector of state Vectors in EF.
Vector< OsvRec > | osvRecJ2
| Vector of state Vectors in J2000.
long | fileType
| File type (XDDORISFileTypeEnum).
double | leapTime
| Time for the leap second.
int | leapSign
| Sign of the leap second.
long | absOrbit
| First absolute orbit number.
long | relOrbit
| First relative orbit number.

## Detailed Description

Class for reading/writing DORIS navigator files.

## Constructor & Destructor Documentation

EECFI.DorisFile.DorisFile | ( |  | ) |

Constructor.

EECFI.DorisFile::DorisFile | ( | String | fileNam | ) |

Constructor with file name.

Parameters:

  | fileNam | Name of the file we want to read.

## Member Function Documentation

void EECFI.DorisFile::read | ( | final boolean | interpolFlag,
|  | final double | time0,
|  | final double | time1 |
| ) |  |  | throws CfiError

Read the file between 2 given times (DORIS header is not read).

Parameters:

  | interpolFlag | Flag to indicate if interpolation is used.
  | time0 | Start time for the requested time window.
  | time1 | Stop time for the requested time window.

void EECFI.DorisFile::read | ( | final boolean | interpolFlag | ) | throws CfiError

Read the whole file (DORIS header is not read).

Parameters:

  | interpolFlag | Flag to indicate if interpolation is used.

native void EECFI.DorisFile.readHeader | ( |  | ) | throws CfiError

Read DORIS header.

Reimplemented from EECFI.EEFile.

void EECFI.DorisFile::write | ( | String | fileNam,
|  | DorisHeader | fhr,
|  | Vector< OsvRec > | osvRecEF,
|  | Vector< OsvRec > | osvRecJ,
|  | double | leapTim,
|  | int | leapSig,
|  | long | absOrbi,
|  | long | relOrbi |
| ) |  |  | throws CfiError

Write DORIS file with a given name.

Parameters:

  | fileNam | Name of the file we want to write.
  | fhr | DORIS header.
  | osvRecEF | Vector of state vectors in EF.
  | osvRecJ | Vector of state vectors in J2000.
  | leapTim | Time for the leap second.
  | leapSig | Sign of the leap second.
  | absOrbi | First absolute orbit number.
  | relOrbi | First relative orbit number.

void EECFI.DorisFile::write | ( | DorisHeader | fhr,
|  | Vector< OsvRec > | osvRecEF,
|  | Vector< OsvRec > | osvRecJ,
|  | double | leapTim,
|  | int | leapSig,
|  | long | absOrbi,
|  | long | relOrbi |
| ) |  |  | throws CfiError

Write DORIS file with the name in the object.

Parameters:

  | fhr | DORIS header.
  | osvRecEF | Vector of state vectors in EF.
  | osvRecJ | Vector of state vectors in J2000.
  | leapTim | Time for the leap second.
  | leapSig | Sign of the leap second.
  | absOrbi | First absolute orbit number.
  | relOrbi | First relative orbit number.

## Member Data Documentation

long EECFI.DorisFile.absOrbit

First absolute orbit number.

long EECFI.DorisFile.fileType

File type (XDDORISFileTypeEnum).

AN-524

Reimplemented from EECFI.EEFile.

DorisHeader EECFI.DorisFile.header

DORIS header.

int EECFI.DorisFile.leapSign

Sign of the leap second.

double EECFI.DorisFile.leapTime

Time for the leap second.

Vector<OsvRec> EECFI.DorisFile.osvRec

Vector of state Vectors in EF.

Vector<OsvRec> EECFI.DorisFile.osvRecJ2

Vector of state Vectors in J2000.

long EECFI.DorisFile.relOrbit

First relative orbit number.